Package com.smartgwt.client.widgets.events

# Class KeyPressEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<KeyPressHandler>
com.smartgwt.client.widgets.events.KeyPressEvent

All Implemented Interfaces:
  `Cancellable`

public class KeyPressEvent extends BrowserEvent<KeyPressHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyPressEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to suppress native behavior in response to the keyPress, and prevent this event from bubbling to this widget's parent, or true or undefined to bubble.
  `protected void`
  `dispatch(KeyPressHandler handler)`
  `static <S extends HasKeyPressHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<KeyPressHandler>`
  `getAssociatedType()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `String`
  `getKeyName()`
  Return the name of the key for the event passed in.
  `static GwtEvent.Type<KeyPressHandler>`
  `getType()`
  Gets the type associated with this event.
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### KeyPressEvent

    public KeyPressEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasKeyPressHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<KeyPressHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(KeyPressHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<KeyPressHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<KeyPressHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<KeyPressHandler>`

  - ### cancel

    public void cancel()
    Call this method to suppress native behavior in response to the keyPress, and prevent this event from bubbling to this widget's parent, or true or undefined to bubble.
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getKeyName

    public String getKeyName()
    Return the name of the key for the event passed in. Note that this is only set reliably for keyboard events.

         Strings to identify the various keys on the keyboard.

         For alpha keys, the single (uppercase) character value is used, such as "Q"
         For Numeric keys, the number is used as in a single character string, like "1"
         Function keys are identified as "f1" - "f12"
         Non alpha-numeric character keys (such as the key for "[" / "{") are identified by their unmodified character value (the value obtained by hitting the key without holding shift down), by default - exceptions are listed below.
         Additional key names:
         - Space
         - Tab
         - Enter
         - Escape
         - Backspace
         - Insert
         - Delete
         - Arrow_Up
         - Arrow_Down
         - Arrow_Left
         - Arrow_Right
         - Home
         - End
         - Page_Up
         - Page_Down
         - Shift
         - Ctrl
         - Alt
         [Note: Some keys may not be available for capture on every platform]

    Returns:
      the key name
    See Also:
      - `KeyNames`